package com.jeequan.jeepay.core.interfaces.paychannel.aliaqfbiz;


import com.alibaba.fastjson.JSONObject;
import com.alipay.api.response.AlipayFundAccountbookQueryResponse;
import com.jeequan.jeepay.core.entity.TransferOrder;
import com.jeequan.jeepay.core.model.rqrs.msg.ChannelRetMsg;

/**
 *  安全发接口服务类
 */
public interface IAliAqfV2ApiService {
    /**
     * 签约
     */
    String userAgreementPageSign(String infoId);

    /**
     * 支付宝个人代扣协议查询
     */
    JSONObject userAgreementQuery(String subId);

    /**
     * 解约
     */
    JSONObject userAgreementUnsign(String subId);

    /**
     * 资金记账本开通
     * @param
     * @return
     */
    void fundAccountbookCreate(String subId);

    /**
     * 资金记账本的信息查询
     * @return
     */
    AlipayFundAccountbookQueryResponse fundAccountbookQuery(String walletApplyId);

    /**
     * 资金专款拨入（商户自身给记账本充值）
     * @return
     */
    String transPage(String subId,String transAmount ,String transferDesc);

    /**
     * 代发
     * @return
     */
    ChannelRetMsg transUniTransfer(TransferOrder transferOrder);

    /**
     * 账单查询
     * @return
     */
    JSONObject bizfundagentQuery( String ersubId, String startTime, String endTime, String pageNo, String pageSize);

    /**
     * 申请电子回单
     * @return
     */
    JSONObject applicationForm(String ersubId,String transferId);

    /**
     * 电子回单下载地址获取
     * @return
     */
    JSONObject applicationFormDownload(String ersubId,String transferId);
}
